Index: c/src/lib/libcpu/powerpc/ChangeLog
===================================================================
--- c/src/lib/libcpu/powerpc/ChangeLog	(revision 0535d92e88e224b3521eff7acf9d418c7ee2cb85)
+++ c/src/lib/libcpu/powerpc/ChangeLog	(revision 0dcf8597c4ebf11e27ee5c69700deba44c87330c)
@@ -1,2 +1,11 @@
+2002-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* mpc8260/Makefile.am: Merge-in mpc8260/include/Makefile.am.
+	* mpc8xx/Makefile.am: Merge-in mpc8xx/include/Makefile.am.
+	* mpc8260/include/Makefile.am: Remove.
+	* mpc8xx/include/Makefile.am: Remove.
+	* configure.ac: Remove mpc8260/include/Makefile.
+	Remove mpc8xx/include/Makefile.
+
 2002-12-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/powerpc/configure.ac
===================================================================
--- c/src/lib/libcpu/powerpc/configure.ac	(revision 0535d92e88e224b3521eff7acf9d418c7ee2cb85)
+++ c/src/lib/libcpu/powerpc/configure.ac	(revision 0dcf8597c4ebf11e27ee5c69700deba44c87330c)
@@ -63,5 +63,4 @@
 mpc8xx/cpm/Makefile
 mpc8xx/exceptions/Makefile
-mpc8xx/include/Makefile
 mpc8xx/mmu/Makefile
 mpc8xx/timer/Makefile
@@ -82,5 +81,4 @@
 mpc8260/clock/Makefile
 mpc8260/console-generic/Makefile
-mpc8260/include/Makefile
 mpc8260/timer/Makefile
 mpc8260/exceptions/Makefile
Index: c/src/lib/libcpu/powerpc/mpc8260/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/Makefile.am	(revision 0535d92e88e224b3521eff7acf9d418c7ee2cb85)
+++ c/src/lib/libcpu/powerpc/mpc8260/Makefile.am	(revision 0dcf8597c4ebf11e27ee5c69700deba44c87330c)
@@ -3,6 +3,25 @@
 ##
 
+SUBDIRS = . console-generic clock timer exceptions mmu cpm
 
-SUBDIRS = include console-generic clock timer exceptions mmu cpm
+include_mpc8260dir = $(includedir)/mpc8260
+
+include_HEADERS = include/mpc8260.h
+include_mpc8260_HEADERS = include/console.h include/mmu.h include/cpm.h
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/mpc8260 \
+    $(include_HEADERS:include/%=$(PROJECT_INCLUDE)/%) \
+    $(include_mpc8260_HEADERS:include/%=$(PROJECT_INCLUDE)/mpc8260/%)
+
+$(PROJECT_INCLUDE)/mpc8260:
+	$(mkinstalldirs) $@
+
+$(PROJECT_INCLUDE)/%.h: include/%.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/mpc8260/%.h: include/%.h
+	$(INSTALL_DATA) $< $@
+
+all-local: $(PREINSTALL_FILES)
 
 include $(top_srcdir)/../../../../../automake/subdirs.am
Index: src/lib/libcpu/powerpc/mpc8260/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/include/Makefile.am	(revision 0535d92e88e224b3521eff7acf9d418c7ee2cb85)
+++ 	(revision )
@@ -1,26 +1,0 @@
-##
-## $Id$
-##
-
-
-include_mpc8260dir = $(includedir)/mpc8260
-
-include_HEADERS = mpc8260.h
-include_mpc8260_HEADERS = console.h mmu.h cpm.h
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/mpc8260 \
-    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%) \
-    $(include_mpc8260_HEADERS:%=$(PROJECT_INCLUDE)/mpc8260/%)
-
-$(PROJECT_INCLUDE)/mpc8260:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/mpc8260/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-all-local: $(PREINSTALL_FILES)
-
-include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am	(revision 0535d92e88e224b3521eff7acf9d418c7ee2cb85)
+++ c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am	(revision 0dcf8597c4ebf11e27ee5c69700deba44c87330c)
@@ -3,6 +3,25 @@
 ##
 
+SUBDIRS = . console-generic clock timer cpm mmu exceptions
 
-SUBDIRS = include console-generic clock timer cpm mmu exceptions
+include_mpc8xxdir = $(includedir)/mpc8xx
+
+include_HEADERS = include/mpc8xx.h
+include_mpc8xx_HEADERS = include/console.h include/cpm.h include/mmu.h
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/mpc8xx \
+    $(include_HEADERS:include/%=$(PROJECT_INCLUDE)/%) \
+    $(include_mpc8xx_HEADERS:include/%=$(PROJECT_INCLUDE)/mpc8xx/%)
+
+$(PROJECT_INCLUDE)/mpc8xx:
+	$(mkinstalldirs) $@
+
+$(PROJECT_INCLUDE)/%.h: include/%.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/mpc8xx/%.h: include/%.h
+	$(INSTALL_DATA) $< $@
+
+all-local: $(PREINSTALL_FILES)
 
 include $(top_srcdir)/../../../../../automake/subdirs.am
Index: src/lib/libcpu/powerpc/mpc8xx/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/include/Makefile.am	(revision 0535d92e88e224b3521eff7acf9d418c7ee2cb85)
+++ 	(revision )
@@ -1,26 +1,0 @@
-##
-## $Id$
-##
-
-
-include_mpc8xxdir = $(includedir)/mpc8xx
-
-include_HEADERS = mpc8xx.h
-include_mpc8xx_HEADERS = console.h cpm.h mmu.h
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/mpc8xx \
-    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%) \
-    $(include_mpc8xx_HEADERS:%=$(PROJECT_INCLUDE)/mpc8xx/%)
-
-$(PROJECT_INCLUDE)/mpc8xx:
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/mpc8xx/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-all-local: $(PREINSTALL_FILES)
-
-include $(top_srcdir)/../../../../../automake/local.am
